﻿using System.Windows.Forms;
using PDFXEdit;

namespace Roesberg.PDF.WPFDemoApp {
  public partial class PDFUserControl : UserControl {

    private string _pathToDocument;

    public PDFUserControl() {
      InitializeComponent();
    }

    private ICab GetCommonOpenParams() {
      ICab openParams = PDFEditor.Inst.CreateOpenDocParams();

      openParams.Root.SetBool("CanAddToHistory", false);
      openParams.Root.SetBool("Sync", true);

      return openParams;
    }

    public void OpenDocument(string pathToDocument)
	{
		try
		{
			PDFEditor.OpenDocFromPath(pathToDocument, GetCommonOpenParams());
		}
		catch
		{
			
		}
		_pathToDocument = pathToDocument;
    }

    public void CloseDocument() {
      if (PDFEditor.Doc != null) {
        PDFEditor.Doc.Close(0);
		// PDFEditor.Frame.Obj.Destroy();
	  }
    }

    public void EnableToolbars() {
      PDFEditor.VisibleCmdPanes = (uint)PDFXEdit.PXV_VisibleCmdPanes.PXV_VisibleCmdPanes_All;
      PDFEditor.LockedCmdBars = false;
    }

    public void ShowVersion() {
      PDFEditor.Inst.ExecUICmd("cmd.help.about");
    }
  }
}
